# Copyright (C) 2017 The Sipwise Team - http://sipwise.com

# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation, either version 3 of the License, or (at your option)
# any later version.

# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.

# You should have received a copy of the GNU General Public License along
# with this program.  If not, see <http://www.gnu.org/licenses/>.

from rest_framework import serializers
from . import models


class ProjectSerializer(serializers.HyperlinkedModelSerializer):

    class Meta:
        model = models.Project
        fields = '__all__'


class DockerTagSerializer(serializers.HyperlinkedModelSerializer):

    class Meta:
        model = models.DockerTag
        fields = '__all__'


class DockerImageSerializer(serializers.HyperlinkedModelSerializer):
    project = serializers.StringRelatedField()
    dockertag_set = DockerTagSerializer(many=True, read_only=True)

    class Meta:
        model = models.DockerImage
        fields = '__all__'
